SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   OS (UNIX)  >   OpenBSD Kernel Vendors:   OpenBSD
OpenBSD patch Lets Remote Users Execute Arbitrary Commands on the Target System
SecurityTracker Alert ID:  1033126
SecurityTracker URL:  http://securitytracker.com/id/1033126
CVE Reference:   GENERIC-MAP-NOMATCH   (Links to External Site)
Date:  Jul 30 2015
Impact:   Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 5.6, 5.7
Description:   A vulnerability was reported in OpenBSD patch. A remote user can execute arbitrary commands on the target system.

The patch utility does not properly sanitize the input patch stream. A remote user can create a specially crafted patch file that, when processed by the target user via patch, will run shell commands (in addition to running valid version control system commands) with the privileges of the target user.

Impact:   A remote user can cause arbitrary commands to be executed on the target user's system.
Solution:   The vendor has issued a fix, available at:

http://ftp.openbsd.org/pub/OpenBSD/patches/5.6/common/029_patch.patch.sig
http://ftp.openbsd.org/pub/OpenBSD/patches/5.7/common/012_patch.patch.sig

The vendor's advisories are available at:

http://www.openbsd.org/errata56.html
http://www.openbsd.org/errata57.html

Vendor URL:  www.openbsd.org/errata57.html (Links to External Site)
Cause:   Input validation error

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2021, SecurityGlobal.net LLC